import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { PayModel, User } from "../../../sdk";
export declare class ModalSearchUsers implements ComponentInterface {
  tabsEl: HTMLIonTabsElement;
  tabBarEl: HTMLIonTabBarElement;
  steps: string[];
  filterBarEl: any;
  floodteamCloseModal: EventEmitter;
  fireenjinFetch: EventEmitter;
  heading: string;
  payModels: PayModel[];
  query: string;
  team: User[];
  loading: boolean;
  paginationEl: any;
  fetchData: {
    locationId: string;
  };
  selectedIds: string[];
  onReset(event: any): void;
  onSuccess(event: any): Promise<void>;
  onTabClick(tabName: string): void;
  presentToast(): Promise<void>;
  toggleSelect(event: any, user: Partial<User>): void;
  openPopover(event: any, user: any): Promise<void>;
  save(): Promise<void>;
  componentDidLoad(): void;
  render(): any[];
}
